@use "variables";

@mixin animated-underline-on-activity(
  $height,
  $bg-color: currentColor,
  $duration: 125ms,
  $timing-function: ease-out
) {
  position: relative;

  &::after {
    content: "";
    display: block;
    position: absolute;
    bottom: 0;
    width: 100%;
    height: $height;
    background-color: transparent;
    border-radius: 100rem;
    transition: background-color $duration $timing-function;
  }

  &:hover::after,
  &:focus::after,
  &:focus-within::after,
  &:active::after {
    background-color: $bg-color;
  }
}

@mixin respond-to-small-screen {
  @media only screen and (max-width: variables.$small-screen-threshold) {
    @content;
  }
}

// At this width text wraps but parent (nav-item) width remains too large,
// which makes header nav ugly
@mixin respond-to-nav-breaking-screen {
  // 365px
  @media only screen and (max-width: 22.8125em) {
    @content;
  }
}
